--- title: "Business registration certificate" slug: "ai-application-service-ocr-ocrdocumentocr-bizlicense" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/ai-application-service-ocr-ocrdocumentocr-bizlicense" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Business registration certificate Available in Classic and VPC Recognize and extract key-value input information from business registration certificates using a specialized model engine. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /biz-license | ### Request headers For information about the headers common to all CLOVA OCR APIs, see [CLOVA OCR request headers](/docs/en/ai-application-service-ocr#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: #### If `Content-Type: application/json` You can include the following data in the body of your request if the request header's `Content-Type` is `application/json`: | Field | Type | Required | Description | | --- | --- | --- | --- | | `version` | String | Required | Version information - Only use `V2` | | `requestId` | String | Required | Random API call UUID | | `timestamp` | Integer | Required | Random API call time (millisecond) - Unix timestamp format | | `images` | Array | Required | images details: [images](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#images1) | #### If `Content-Type: multipart/form-data` You can include the following data in the body of your request if the request header's `Content-Type` is `multipart/form-data`: | Field | Type | Required | Description | | --- | --- | --- | --- | | `message` | Object | Required | Request data information | | `message.version` | String | Required | Version information - Only use `V2` | | `message.requestId` | String | Required | Random API call UUID | | `message.timestamp` | Integer | Required | Random API call time (millisecond) - Unix timestamp format | | `message.images` | Array | Required | images details: [images](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#images1) | | `file` | File | Required | OCR recognition image file | #### `images` The following describes `images`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `format` | String | Required | Image format - `jpg` \| `jpeg` \| `png` \| `pdf` \| `tif` \| `tiff` - Image: `jpg`, `jpeg`, `png` - Single page: `pdf`, `tif`, `tiff` - Select and enter one of the image formats | | `name` | String | Required | Random image name - Use to identify images and check response results | | `data` | String | Required | Base64-encoded image data - Can be entered if `Content-Type: application/json` | ### Request example The request example is as follows: #### If `Content-Type: application/json` The request example if the request header's `Content-Type` is `application/json` is as follows: ``` curl --location 'https://cbgrx5natw.apigw.ntruss.com/custom/v1/{DomainId}/{InvokeKey}/document/biz-license' \ --header 'Content-Type: application/json' \ --header 'X-OCR-SECRET: {Secret key issued when registering the app}' \ --data '{ "version": "V2", "requestId": "string", "timestamp": 0, "images": [ { "format": "jpg", "name": "bizlicense_test", "data": "{Base64-encoded image data}" } ] }' ``` #### If `Content-Type: multipart/form-data` The request example if the request header's `Content-Type` is `multipart/form-data` is as follows: ``` curl --location --request POST 'https://cbgrx5natw.apigw.ntruss.com/custom/v1/{DomainId}/{InvokeKey}/document/biz-license' \ --header 'X-OCR-SECRET: {Secret key issued when registering the app}' \ --header 'Content-Type: multipart/form-data' \ --form 'message="{\"version\": \"V2\", \"requestId\": \"1234\", \"timestamp\": 1724832750462, \"images\": [{\"format\": \"pdf\", \"name\": \"bizlicense_test\"}]}"' \ --form 'file=@"{file}"' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `version` | String | - | Version information - Only use `V2` | | `requestId` | String | - | Random API call UUID | | `timestamp` | Integer | - | API call time (millisecond) - Unix timestamp format | | `images` | Array | - | images details: [images](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#images2) | #### `images` The following describes `images`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `uid` | String | - | Business registration certificate image UID - Use for API validity checks | | `name` | String | - | Business registration certificate image name - Use to identify images and check response results | | `inferResult` | String | - | Business registration certificate image recognition result - `SUCCESS` \| `FAILURE` \| `ERROR` - `SUCCESS`: recognition successful - `FAILURE`: recognition failure - `ERROR`: recognition processing exception | | `message` | String | - | Result message | | `validationResult` | Object | - | Validity check result information | | `validationResult.result` | String | - | Validity check result code - `NO_REQUESTED` \| `UNCHECKED` \| `ERROR` \| `VALID` \| `INVALID` - `NO_REQUESTED`: no validation action requested (validity check failed) - `UNCHECKED`: unable to verify validation - `ERROR`: error on validation (validity check failed) - `VALID`: validation result valid (validity check succeeded) - `INVALID`: failed to pass validation | | `validationResult.message` | String | - | Validity check result details message - This value is not always returned | | `convertedImageInfo` | Object | - | Converted image information - If `format` is `pdf` or `tiff` - Coordinate values are set relative to the called image file | | `convertedImageInfo.width` | Integer | - | Converted image width | | `convertedImageInfo.height` | Integer | - | Converted image height | | `convertedImageInfo.pageIndex` | Integer | - | Converted image page index | | `bizLicense` | Object | - | Business registration certificate details | | `bizLicense.meta` | Object | - | Meta information | | `bizLicense.meta.estimatedLanguage` | String | - | OCR estimated language - `ko` \| `en` \| `ja` - `ko`:Korean - `en`: English - `ja`: Japanese | | `bizLicense.result` | Object | - | Business registration certificate OCR recognition result: [result](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#result) | #### `result` The following describes `result`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `bisAddress` | Array | - | Business place address information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `bisArea` | Array | - | Business place location information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `bisItem` | Array | - | Business item information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `registerNumber` | Array | - | Business registration number information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `bisType` | Array | - | Business category Information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `companyName` | Array | - | Company name - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `corpName` | Array | - | Corporate (company) name - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `corpRegisterNum` | Array | - | Corporate (company) business registration number - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `coRepSocialNum` | Array | - | Co-representative's resident registration number - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `documentType` | Array | - | [Document type object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EB%AC%B8%EC%84%9C%EC%9C%A0%ED%98%95%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `headAddress` | Array | - | Headquarters address information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `issuanceDate` | Array | - | Issuance date information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `issuanceReason` | Array | - | Issuance reason information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `openDate` | Array | - | Business start date information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `repName` | Array | - | Representative name information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `socialNumber` | Array | - | Resident registration number information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | | `taxType` | Array | - | Taxation type information - See [Common object information](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EA%B3%B5%ED%86%B5%EA%B0%9D%EC%B2%B4%EC%A0%95%EB%B3%B4) | #### Common object information The following describes the common object information. | Field | Type | Required | Description | | --- | --- | --- | --- | | `text` | String | - | Recognized text | | `keyText` | String | - | Key value of recognized text | | `confidenceScore` | Float | - | Confidence of recognized text - 0 - 1 - The higher the confidence value, the more accurate the text is | | `boundingPolys` | Array | - | boundingPoly details: [boundingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#boundingpolys) | #### Document type object information The following describes the document type object information. | Field | Type | Required | Description | | --- | --- | --- | --- | | `text` | String | - | Recognized text | | `formatted` | Object | - | Recognized text information | | `formatted.value` | String | - | Recognized text value | | `keyText` | String | - | Key value of recognized text | | `confidenceScore` | Float | - | Confidence of recognized text - 0 - 1 - The higher the confidence value, the more accurate the text is | | `boundingPolys` | Array | - | boundingPoly details: [boundingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#boundingpolys) | | `maskingPolys` | Array | - | maskingPoly details: [maskingPolys](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#maskingpolys) | #### `boundingPolys` The following describes `boundingPolys`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `vertices` | Array | - | vertices details: [vertices](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#vertices) | #### `maskingPolys` The following describes `maskingPolys`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `vertices` | Array | - | vertices details: [vertices](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#vertices) | #### `vertices` The following describes `vertices`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `x` | Float | - | X-axis coordinate value | | `y` | Float | - | Y-axis coordinate value | ### Response status codes For information about the HTTP status codes common to all CLOVA OCR APIs, see [Common CLOVA OCR response status codes](/docs/en/ai-application-service-ocr-ocrdocumentocr#error-code). ### Response example The response example is as follows: #### Success The following is a sample response upon a successful call. ``` { "version": "V2", "requestId": "1234", "timestamp": 1725247772348, "images": [ { "uid": "{uid}", "name": "bizlicense_test", "inferResult": "SUCCESS", "message": "SUCCESS", "validationResult": { "result": "NO_REQUESTED" }, "bizLicense": { "meta": { "estimatedLanguage": "ko" }, "result": { "bisAddress": [ { "text": "Seoul***", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 371.0, "y": 547.0 }, { "x": 479.0, "y": 550.0 }, { "x": 479.0, "y": 569.0 }, { "x": 371.0, "y": 567.0 } ] } ] } ], "bisItem": [ { "text": "***", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 760.0, "y": 695.0 }, { "x": 783.0, "y": 695.0 }, { "x": 783.0, "y": 716.0 }, { "x": 760.0, "y": 716.0 } ] } ] } ], "registerNumber": [ { "text": "***-**-*****", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 585.0, "y": 338.0 }, { "x": 636.0, "y": 338.0 }, { "x": 636.0, "y": 370.0 }, { "x": 585.0, "y": 370.0 } ] } ] } ], "bisType": [ { "text": "Manufacturing wholesale", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 434.0, "y": 695.0 }, { "x": 460.0, "y": 695.0 }, { "x": 460.0, "y": 716.0 }, { "x": 434.0, "y": 716.0 } ] }, ] } ], "corpName": [ { "text": "Corporation***", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 367.0, "y": 392.0 }, { "x": 391.0, "y": 392.0 }, { "x": 391.0, "y": 418.0 }, { "x": 367.0, "y": 418.0 } ] } ] } ], "corpRegisterNum": [ { "text": "******-*********", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 858.0, "y": 512.0 }, { "x": 902.0, "y": 512.0 }, { "x": 902.0, "y": 530.0 }, { "x": 858.0, "y": 530.0 } ] } ] } ], "documentType": [ { "text": "Business registration certificate", "formatted": { "value": "Business registration certificate" }, "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 376.0, "y": 220.0 }, { "x": 449.0, "y": 220.0 }, { "x": 449.0, "y": 287.0 }, { "x": 376.0, "y": 287.0 } ] } ], "maskingPolys": [] } ], "headAddress": [ { "text": "Seoul***", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 368.0, "y": 622.0 }, { "x": 480.0, "y": 622.0 }, { "x": 480.0, "y": 643.0 }, { "x": 368.0, "y": 643.0 } ] } ] } ], "issuanceDate": [ { "text": "January 7, 2021", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 454.0, "y": 1299.0 }, { "x": 520.0, "y": 1299.0 }, { "x": 520.0, "y": 1325.0 }, { "x": 454.0, "y": 1325.0 } ] } ] } ], "openDate": [ { "text": "August 16, 2001", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 367.0, "y": 512.0 }, { "x": 418.0, "y": 512.0 }, { "x": 418.0, "y": 530.0 }, { "x": 367.0, "y": 530.0 } ] } ] } ], "repName": [ { "text": "Lee**", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 368.0, "y": 432.0 }, { "x": 393.0, "y": 432.0 }, { "x": 393.0, "y": 457.0 }, { "x": 368.0, "y": 457.0 } ] } ] } ], "taxType": [ { "text": "Corporate business", "keyText": "", "confidenceScore": 0.0, "boundingPolys": [ { "vertices": [ { "x": 532.0, "y": 282.0 }, { "x": 564.0, "y": 282.0 }, { "x": 564.0, "y": 328.0 }, { "x": 532.0, "y": 328.0 } ] } ] } ] } } } ] } ``` #### Failure The following is a sample response upon a failed call. ``` { "code": "0011", "message": "Request invalid: Request data() is invalid.", "path": "{path}", "traceId": "{traceId}", "timestamp": 1725349186545 } ```